MailcrateDocs
Journeys

Get a journey

GET
/public/journey/{id}

Requires the journey:read scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

id*string

Response Body

application/json
  1. response
activeVersion*
versionCount*number
id*string
name*string
status*string
Value in"active""archived""draft""paused"
reEnrollment*boolean
goalConfigured*boolean
triggers*array<>
created*string
Formatdate-time
updated*string
Formatdate-time
Example Request
curl -X GET 'https://api.mailcrate.io/public/journey/string' \  -H 'Authorization: Api-Key <api_key>'
Example Response
{  "activeVersion": {    "version": 0,    "nodeCount": 0,    "publishedAt": "2019-08-24T14:15:22Z"  },  "versionCount": 0,  "id": "string",  "name": "string",  "status": "active",  "reEnrollment": true,  "goalConfigured": true,  "triggers": [    {      "source": "custom",      "eventName": "string"    }  ],  "created": "2019-08-24T14:15:22Z",  "updated": "2019-08-24T14:15:22Z"}